(**************************************************************************
                              Raster Master                  Demo2.Pas

                                  By Nick Onoufriou

 **************************************************************************

 Purpose: Demonstrates the use of Def2TEP.exe
 (* This program does the same thing as Demo1 but uses TEGL Routines,
    requires TEGL toolkit to compile. This only for TEGL users.
 *)


program Demo1;
  uses FastGrph,Graph;

const
   ImageRASTER : array [0..3694] of byte =
                            ($6D,$0E,
                             $81,$81,$07,$61,  $81,$02,$61,  $81,$03,$02,  $83,$83,$0F,$5F,
                             $E0,$83,$07,$61,  $81,$04,$02,  $03,$84,$0F,  $84,$84,$09,$5E,
                             $5F,$84,$0F,  $E0,$84,$07,$61,  $81,$05,$02,  $03,$85,$0F,
                             $84,$85,$09,$5E,  $5F,$85,$0F,  $E0,$85,$07,$61,  $81,$06,$02,
                             $03,$86,$0F,  $84,$86,$09,$5E,  $5F,$86,$0F,  $E0,$86,$07,$61,
                             $81,$07,$02,  $03,$87,$0F,  $84,$87,$09,$5E,  $5F,$87,$0F,
                             $E0,$87,$07,$61,  $81,$08,$02,  $03,$88,$0F,  $84,$88,$09,$5E,
                             $5F,$88,$0F,  $E0,$88,$07,$61,  $81,$09,$02,  $03,$89,$0F,
                             $84,$89,$09,$09,  $8A,$89,$0C,$11,  $92,$89,$09,$1A,  $1B,$89,$0C,
                             $9C,$89,$09,$24,  $A5,$89,$0C,$2D,  $AE,$89,$09,$32,  $B3,$89,$0C,$3E,
                             $BF,$89,$09,$42,  $C3,$89,$0C,$49,  $CA,$89,$09,$4F,  $D0,$89,$0C,$58,
                             $D9,$89,$09,$5E,  $5F,$89,$0F,  $E0,$89,$07,$61,  $81,$0A,$02,
                             $03,$8A,$0F,  $84,$8A,$09,$09,  $0A,$8A,$0C,  $8B,$8A,$09,$10,
                             $11,$8A,$0C,  $92,$8A,$09,$1A,  $1B,$8A,$0C,  $9C,$8A,$09,$24,
                             $25,$8A,$0C,  $A6,$8A,$09,$38,  $39,$8A,$0C,  $BA,$8A,$09,$42,
                             $43,$8A,$0C,  $C4,$8A,$09,$4F,  $50,$8A,$0C,  $D1,$8A,$09,$57,
                             $58,$8A,$0C,  $D9,$8A,$09,$5E,  $5F,$8A,$0F,  $E0,$8A,$07,$61,
                             $81,$0B,$02,  $03,$8B,$0F,  $84,$8B,$09,$09,  $0A,$8B,$0C,
                             $8B,$8B,$09,$10,  $11,$8B,$0C,  $92,$8B,$09,$1A,  $9B,$8B,$0C,$1C,
                             $9D,$8B,$09,$24,  $25,$8B,$0C,  $A6,$8B,$09,$38,  $39,$8B,$0C,
                             $BA,$8B,$09,$42,  $43,$8B,$0C,  $C4,$8B,$09,$4F,  $50,$8B,$0C,
                             $D1,$8B,$09,$57,  $58,$8B,$0C,  $D9,$8B,$09,$5E,  $5F,$8B,$0F,
                             $E0,$8B,$07,$61,  $81,$0C,$02,  $03,$8C,$0F,  $84,$8C,$09,$09,
                             $0A,$8C,$0C,  $8B,$8C,$09,$10,  $11,$8C,$0C,  $92,$8C,$09,$19,
                             $1A,$8C,$0C,  $1B,$8C,$09,  $1C,$8C,$0C,  $9D,$8C,$09,$24,
                             $25,$8C,$0C,  $A6,$8C,$09,$38,  $39,$8C,$0C,  $BA,$8C,$09,$42,
                             $43,$8C,$0C,  $C4,$8C,$09,$4F,  $50,$8C,$0C,  $D1,$8C,$09,$57,
                             $58,$8C,$0C,  $D9,$8C,$09,$5E,  $5F,$8C,$0F,  $E0,$8C,$07,$61,
                             $81,$0D,$02,  $03,$8D,$0F,  $84,$8D,$09,$09,  $0A,$8D,$0C,
                             $8B,$8D,$09,$10,  $11,$8D,$0C,  $92,$8D,$09,$19,  $1A,$8D,$0C,
                             $1B,$8D,$09,  $1C,$8D,$0C,  $9D,$8D,$09,$24,  $25,$8D,$0C,
                             $A6,$8D,$09,$38,  $39,$8D,$0C,  $BA,$8D,$09,$42,  $43,$8D,$0C,
                             $C4,$8D,$09,$4F,  $50,$8D,$0C,  $D1,$8D,$09,$57,  $58,$8D,$0C,
                             $D9,$8D,$09,$5E,  $5F,$8D,$0F,  $E0,$8D,$07,$61,  $81,$0E,$02,
                             $03,$8E,$0F,  $84,$8E,$09,$09,  $0A,$8E,$0C,  $8B,$8E,$09,$10,
                             $11,$8E,$0C,  $92,$8E,$09,$19,  $1A,$8E,$0C,  $1B,$8E,$09,
                             $1C,$8E,$0C,  $9D,$8E,$09,$24,  $25,$8E,$0C,  $A6,$8E,$09,$38,
                             $39,$8E,$0C,  $BA,$8E,$09,$42,  $43,$8E,$0C,  $C4,$8E,$09,$4F,
                             $50,$8E,$0C,  $D1,$8E,$09,$57,  $58,$8E,$0C,  $D9,$8E,$09,$5E,
                             $5F,$8E,$0F,  $E0,$8E,$07,$61,  $81,$0F,$02,  $03,$8F,$0F,
                             $84,$8F,$09,$09,  $0A,$8F,$0C,  $8B,$8F,$09,$10,  $11,$8F,$0C,
                             $92,$8F,$09,$19,  $1A,$8F,$0C,  $9B,$8F,$09,$1C,  $1D,$8F,$0C,
                             $9E,$8F,$09,$24,  $25,$8F,$0C,  $A6,$8F,$09,$38,  $39,$8F,$0C,
                             $BA,$8F,$09,$42,  $43,$8F,$0C,  $C4,$8F,$09,$4F,  $50,$8F,$0C,
                             $D1,$8F,$09,$57,  $58,$8F,$0C,  $D9,$8F,$09,$5E,  $5F,$8F,$0F,
                             $E0,$8F,$07,$61,  $81,$10,$02,  $03,$90,$0F,  $84,$90,$09,$09,
                             $0A,$90,$0C,  $8B,$90,$09,$10,  $11,$90,$0C,  $92,$90,$09,$18,
                             $19,$90,$0C,  $9A,$90,$09,$1C,  $1D,$90,$0C,  $9E,$90,$09,$24,
                             $25,$90,$0C,  $A6,$90,$09,$38,  $39,$90,$0C,  $BA,$90,$09,$42,
                             $43,$90,$0C,  $C4,$90,$09,$4F,  $50,$90,$0C,  $D1,$90,$09,$57,
                             $58,$90,$0C,  $D9,$90,$09,$5E,  $5F,$90,$0F,  $E0,$90,$07,$61,
                             $81,$11,$02,  $03,$91,$0F,  $84,$91,$09,$09,  $0A,$91,$0C,
                             $8B,$91,$09,$10,  $11,$91,$0C,  $92,$91,$09,$18,  $19,$91,$0C,
                             $9A,$91,$09,$1C,  $1D,$91,$0C,  $9E,$91,$09,$24,  $A5,$91,$0C,$2D,
                             $AE,$91,$09,$38,  $39,$91,$0C,  $BA,$91,$09,$42,  $43,$91,$0C,
                             $C4,$91,$09,$4F,  $D0,$91,$0C,$58,  $D9,$91,$09,$5E,  $5F,$91,$0F,
                             $E0,$91,$07,$61,  $81,$12,$02,  $03,$92,$0F,  $84,$92,$09,$09,
                             $0A,$92,$0C,  $8B,$92,$09,$10,  $11,$92,$0C,  $92,$92,$09,$18,
                             $19,$92,$0C,  $9A,$92,$09,$1C,  $1D,$92,$0C,  $9E,$92,$09,$2C,
                             $2D,$92,$0C,  $AE,$92,$09,$38,  $39,$92,$0C,  $BA,$92,$09,$42,
                             $43,$92,$0C,  $C4,$92,$09,$4F,  $50,$92,$0C,  $D1,$92,$09,$53,
                             $54,$92,$0C,  $D5,$92,$09,$5E,  $5F,$92,$0F,  $E0,$92,$07,$61,
                             $81,$13,$02,  $03,$93,$0F,  $84,$93,$09,$09,  $8A,$93,$0C,$11,
                             $92,$93,$09,$18,  $99,$93,$0C,$1E,  $9F,$93,$09,$2C,  $2D,$93,$0C,
                             $AE,$93,$09,$38,  $39,$93,$0C,  $BA,$93,$09,$42,  $C3,$93,$0C,$49,
                             $CA,$93,$09,$4F,  $50,$93,$0C,  $D1,$93,$09,$54,  $55,$93,$0C,
                             $D6,$93,$09,$5E,  $5F,$93,$0F,  $E0,$93,$07,$61,  $81,$14,$02,
                             $03,$94,$0F,  $84,$94,$09,$09,  $0A,$94,$0C,  $8B,$94,$09,$0D,
                             $0E,$94,$0C,  $8F,$94,$09,$17,  $98,$94,$0C,$1E,  $9F,$94,$09,$2C,
                             $2D,$94,$0C,  $AE,$94,$09,$38,  $39,$94,$0C,  $BA,$94,$09,$42,
                             $43,$94,$0C,  $C4,$94,$09,$4F,  $50,$94,$0C,  $D1,$94,$09,$54,
                             $55,$94,$0C,  $D6,$94,$09,$5E,  $5F,$94,$0F,  $E0,$94,$07,$61,
                             $81,$15,$02,  $03,$95,$0F,  $84,$95,$09,$09,  $0A,$95,$0C,
                             $8B,$95,$09,$0E,  $0F,$95,$0C,  $90,$95,$09,$17,  $18,$95,$0C,
                             $99,$95,$09,$1D,  $1E,$95,$0C,  $9F,$95,$09,$2C,  $2D,$95,$0C,
                             $AE,$95,$09,$38,  $39,$95,$0C,  $BA,$95,$09,$42,  $43,$95,$0C,
                             $C4,$95,$09,$4F,  $50,$95,$0C,  $D1,$95,$09,$54,  $55,$95,$0C,
                             $D6,$95,$09,$5E,  $5F,$95,$0F,  $E0,$95,$07,$61,  $81,$16,$02,
                             $03,$96,$0F,  $84,$96,$09,$09,  $0A,$96,$0C,  $8B,$96,$09,$0E,
                             $0F,$96,$0C,  $90,$96,$09,$17,  $18,$96,$0C,  $99,$96,$09,$1D,
                             $1E,$96,$0C,  $9F,$96,$09,$2C,  $2D,$96,$0C,  $AE,$96,$09,$38,
                             $39,$96,$0C,  $BA,$96,$09,$42,  $43,$96,$0C,  $C4,$96,$09,$4F,
                             $50,$96,$0C,  $D1,$96,$09,$54,  $55,$96,$0C,  $D6,$96,$09,$5E,
                             $5F,$96,$0F,  $E0,$96,$07,$61,  $81,$17,$02,  $03,$97,$0F,
                             $84,$97,$09,$09,  $0A,$97,$0C,  $8B,$97,$09,$0E,  $0F,$97,$0C,
                             $90,$97,$09,$17,  $18,$97,$0C,  $99,$97,$09,$1E,  $1F,$97,$0C,
                             $A0,$97,$09,$2C,  $2D,$97,$0C,  $AE,$97,$09,$38,  $39,$97,$0C,
                             $BA,$97,$09,$42,  $43,$97,$0C,  $C4,$97,$09,$4F,  $50,$97,$0C,
                             $D1,$97,$09,$55,  $56,$97,$0C,  $D7,$97,$09,$5E,  $5F,$97,$0F,
                             $E0,$97,$07,$61,  $81,$18,$02,  $03,$98,$0F,  $84,$98,$09,$09,
                             $0A,$98,$0C,  $8B,$98,$09,$0E,  $0F,$98,$0C,  $90,$98,$09,$16,
                             $17,$98,$0C,  $98,$98,$09,$1E,  $1F,$98,$0C,  $A0,$98,$09,$2C,
                             $2D,$98,$0C,  $AE,$98,$09,$38,  $39,$98,$0C,  $BA,$98,$09,$42,
                             $43,$98,$0C,  $C4,$98,$09,$4F,  $50,$98,$0C,  $D1,$98,$09,$55,
                             $56,$98,$0C,  $D7,$98,$09,$5E,  $5F,$98,$0F,  $E0,$98,$07,$61,
                             $81,$19,$02,  $03,$99,$0F,  $84,$99,$09,$09,  $0A,$99,$0C,
                             $8B,$99,$09,$0F,  $10,$99,$0C,  $91,$99,$09,$16,  $17,$99,$0C,
                             $98,$99,$09,$1E,  $1F,$99,$0C,  $A0,$99,$09,$2C,  $2D,$99,$0C,
                             $AE,$99,$09,$38,  $39,$99,$0C,  $BA,$99,$09,$42,  $43,$99,$0C,
                             $C4,$99,$09,$4F,  $50,$99,$0C,  $D1,$99,$09,$55,  $56,$99,$0C,
                             $D7,$99,$09,$5E,  $5F,$99,$0F,  $E0,$99,$07,$61,  $81,$1A,$02,
                             $03,$9A,$0F,  $84,$9A,$09,$09,  $0A,$9A,$0C,  $8B,$9A,$09,$0F,
                             $10,$9A,$0C,  $91,$9A,$09,$16,  $17,$9A,$0C,  $98,$9A,$09,$1E,
                             $1F,$9A,$0C,  $A0,$9A,$09,$2C,  $2D,$9A,$0C,  $AE,$9A,$09,$38,
                             $39,$9A,$0C,  $BA,$9A,$09,$42,  $43,$9A,$0C,  $C4,$9A,$09,$4F,
                             $50,$9A,$0C,  $D1,$9A,$09,$55,  $56,$9A,$0C,  $D7,$9A,$09,$5E,
                             $5F,$9A,$0F,  $E0,$9A,$07,$61,  $81,$1B,$02,  $03,$9B,$0F,
                             $84,$9B,$09,$09,  $0A,$9B,$0C,  $8B,$9B,$09,$0F,  $10,$9B,$0C,
                             $91,$9B,$09,$16,  $17,$9B,$0C,  $98,$9B,$09,$1F,  $20,$9B,$0C,
                             $A1,$9B,$09,$2C,  $2D,$9B,$0C,  $AE,$9B,$09,$38,  $39,$9B,$0C,
                             $BA,$9B,$09,$42,  $43,$9B,$0C,  $C4,$9B,$09,$4F,  $50,$9B,$0C,
                             $D1,$9B,$09,$56,  $57,$9B,$0C,  $D8,$9B,$09,$5E,  $5F,$9B,$0F,
                             $E0,$9B,$07,$61,  $81,$1C,$02,  $03,$9C,$0F,  $84,$9C,$09,$09,
                             $0A,$9C,$0C,  $8B,$9C,$09,$10,  $11,$9C,$0C,  $92,$9C,$09,$15,
                             $16,$9C,$0C,  $97,$9C,$09,$1F,  $20,$9C,$0C,  $A1,$9C,$09,$2C,
                             $2D,$9C,$0C,  $AE,$9C,$09,$38,  $39,$9C,$0C,  $BA,$9C,$09,$42,
                             $43,$9C,$0C,  $C4,$9C,$09,$4F,  $50,$9C,$0C,  $D1,$9C,$09,$56,
                             $57,$9C,$0C,  $D8,$9C,$09,$5E,  $5F,$9C,$0F,  $E0,$9C,$07,$61,
                             $81,$1D,$02,  $03,$9D,$0F,  $84,$9D,$09,$09,  $0A,$9D,$0C,
                             $8B,$9D,$09,$10,  $11,$9D,$0C,  $92,$9D,$09,$15,  $16,$9D,$0C,
                             $97,$9D,$09,$1F,  $20,$9D,$0C,  $A1,$9D,$09,$24,  $A5,$9D,$0C,$2D,
                             $AE,$9D,$09,$38,  $39,$9D,$0C,  $BA,$9D,$09,$42,  $C3,$9D,$0C,$4A,
                             $CB,$9D,$09,$4F,  $50,$9D,$0C,  $D1,$9D,$09,$5E,  $5F,$9D,$0F,
                             $E0,$9D,$07,$61,  $81,$1E,$02,  $03,$9E,$0F,  $84,$9E,$09,$09,
                             $0A,$9E,$0C,  $8B,$9E,$09,$10,  $11,$9E,$0C,  $92,$9E,$09,$15,
                             $16,$9E,$0C,  $97,$9E,$09,$1F,  $20,$9E,$0C,  $A1,$9E,$09,$5E,
                             $5F,$9E,$0F,  $E0,$9E,$07,$61,  $81,$1F,$02,  $03,$9F,$0F,
                             $84,$9F,$09,$5E,  $5F,$9F,$0F,  $E0,$9F,$07,$61,  $81,$20,$02,
                             $03,$A0,$0F,  $84,$A0,$09,$5E,  $5F,$A0,$0F,  $E0,$A0,$07,$61,
                             $81,$21,$02,  $03,$A1,$0F,  $04,$A1,$09,  $05,$A1,$0A,
                             $86,$A1,$09,$07,  $08,$A1,$0A,  $89,$A1,$09,$0B,  $0C,$A1,$0A,
                             $8D,$A1,$09,$14,  $15,$A1,$0A,  $96,$A1,$09,$1F,  $20,$A1,$0A,
                             $21,$A1,$09,  $A2,$A1,$0A,$23,  $24,$A1,$09,  $25,$A1,$0A,
                             $A6,$A1,$09,$2B,  $AC,$A1,$0A,$2D,  $AE,$A1,$09,$30,  $B1,$A1,$0A,$32,
                             $B3,$A1,$09,$35,  $B6,$A1,$0A,$37,  $B8,$A1,$09,$39,  $3A,$A1,$0A,
                             $BB,$A1,$09,$3C,  $BD,$A1,$0A,$3E,  $BF,$A1,$09,$40,  $41,$A1,$0A,
                             $C2,$A1,$09,$44,  $45,$A1,$0A,  $46,$A1,$09,  $47,$A1,$0A,
                             $C8,$A1,$09,$49,  $CA,$A1,$0A,$4C,  $4D,$A1,$09,  $CE,$A1,$0A,$4F,
                             $50,$A1,$09,  $51,$A1,$0A,  $52,$A1,$09,  $53,$A1,$0A,
                             $D4,$A1,$09,$56,  $57,$A1,$0A,  $D8,$A1,$09,$59,  $5A,$A1,$0A,
                             $5B,$A1,$09,  $5C,$A1,$0A,  $DD,$A1,$09,$5E,  $5F,$A1,$0F,
                             $E0,$A1,$07,$61,  $81,$22,$02,  $03,$A2,$0F,  $04,$A2,$09,
                             $05,$A2,$0A,  $86,$A2,$09,$07,  $08,$A2,$0A,  $09,$A2,$09,
                             $8A,$A2,$0A,$0B,  $0D,$22,  $8E,$A2,$09,$10,  $91,$A2,$0A,$14,
                             $16,$22,  $97,$A2,$09,$19,  $1A,$A2,$0A,  $1B,$A2,$09,
                             $9C,$A2,$0A,$21,  $23,$22,  $A4,$A2,$09,$25,  $26,$A2,$0A,
                             $A7,$A2,$09,$29,  $AA,$A2,$0A,$2C,  $2E,$22,  $AF,$A2,$09,$32,
                             $B3,$A2,$0A,$34,  $B5,$A2,$09,$39,  $3A,$A2,$0A,  $3B,$A2,$09,
                             $BC,$A2,$0A,$3D,  $BF,$22,$40,  $C1,$A2,$09,$44,  $45,$A2,$0A,
                             $C6,$A2,$09,$47,  $C8,$A2,$0A,$4A,  $4C,$22,  $4D,$A2,$09,
                             $4E,$A2,$0A,  $CF,$A2,$09,$54,  $D5,$A2,$0A,$56,  $D7,$A2,$09,$58,
                             $D9,$A2,$0A,$5D,  $5E,$A2,$09,  $5F,$A2,$0F,  $E0,$A2,$07,$61,
                             $81,$23,$02,  $03,$A3,$0F,  $84,$A3,$09,$05,  $06,$A3,$0A,
                             $07,$A3,$09,  $88,$A3,$0A,$09,  $0C,$23,  $8D,$A3,$09,$0E,
                             $0F,$A3,$0A,  $90,$A3,$0D,$11,  $12,$A3,$0A,  $13,$A3,$0D,
                             $96,$23,$17,  $18,$A3,$0A,  $19,$A3,$09,  $1A,$A3,$0A,
                             $9B,$A3,$0D,$1C,  $1E,$A3,$0A,  $1F,$A3,$0D,  $A1,$23,$22,
                             $24,$23,  $25,$A3,$0A,  $26,$A3,$0D,  $27,$A3,$0A,
                             $A8,$A3,$09,$29,  $2A,$A3,$0A,  $2B,$A3,$0D,  $2C,$A3,$0A,
                             $2D,$A3,$0D,  $2F,$23,  $30,$A3,$09,  $B1,$A3,$0D,$32,
                             $34,$23,  $35,$A3,$09,  $B6,$A3,$0D,$38,  $B9,$A3,$09,$3B,
                             $3C,$A3,$0A,  $3D,$A3,$0D,  $BE,$A3,$0A,$3F,  $40,$A3,$0D,
                             $41,$A3,$0A,  $42,$A3,$0D,  $43,$A3,$0A,  $44,$A3,$0D,
                             $46,$A3,$0A,  $47,$A3,$09,  $48,$A3,$0A,  $C9,$A3,$0D,$4A,
                             $4B,$A3,$0A,  $CC,$A3,$09,$4D,  $4E,$A3,$0A,  $4F,$A3,$0D,
                             $50,$A3,$09,  $D1,$A3,$0D,$54,  $D6,$23,$5A,  $DC,$A3,$0A,$5D,
                             $5E,$A3,$09,  $5F,$A3,$0F,  $E0,$A3,$07,$61,  $81,$24,$02,
                             $03,$A4,$0F,  $84,$A4,$09,$08,  $09,$A4,$0A,  $8A,$A4,$0D,$0B,
                             $0C,$A4,$0A,  $8D,$A4,$0D,$0E,  $0F,$A4,$0C,  $10,$A4,$0D,
                             $11,$A4,$0C,  $12,$A4,$0D,  $93,$A4,$0C,$16,  $17,$A4,$0D,
                             $18,$A4,$0A,  $99,$A4,$0C,$1B,  $1C,$A4,$0D,  $1F,$24,
                             $20,$A4,$0A,  $A1,$A4,$0D,$23,  $A5,$24,$26,  $27,$A4,$0A,
                             $A8,$A4,$0D,$2A,  $AD,$A4,$0A,$2E,  $AF,$A4,$09,$30,  $31,$A4,$0A,
                             $B3,$A4,$0D,$34,  $35,$A4,$09,  $36,$A4,$0A,  $B8,$A4,$0D,$3C,
                             $3D,$A4,$0A,  $3F,$A4,$0D,  $C2,$24,$44,  $45,$A4,$0A,
                             $47,$A4,$0D,  $C8,$A4,$0A,$49,  $CA,$A4,$09,$4C,  $4D,$A4,$0D,
                             $CF,$24,$5A,  $5B,$A4,$0A,  $DC,$A4,$09,$5E,  $5F,$A4,$0F,
                             $E0,$A4,$07,$61,  $81,$25,$02,  $03,$A5,$0F,  $04,$A5,$09,
                             $05,$A5,$0C,  $86,$A5,$09,$07,  $88,$A5,$0C,$0E,  $10,$25,
                             $11,$A5,$0D,  $93,$A5,$0C,$14,  $16,$25,  $19,$25,
                             $1A,$A5,$0A,  $1B,$A5,$0C,  $1C,$A5,$0D,  $1D,$A5,$0A,
                             $9E,$A5,$0C,$20,  $23,$25,  $24,$A5,$0D,  $25,$A5,$0C,
                             $A7,$25,$2A,  $2B,$A5,$0D,  $AC,$A5,$0C,$30,  $31,$A5,$0A,
                             $B3,$A5,$0D,$35,  $37,$A5,$0A,  $B9,$A5,$0D,$3A,  $3E,$25,
                             $40,$25,  $C2,$25,$43,  $44,$A5,$0A,  $C5,$A5,$0D,$46,
                             $C7,$A5,$0A,$48,  $C9,$A5,$0D,$4A,  $CB,$A5,$09,$4D,  $4E,$A5,$0A,
                             $CF,$A5,$0D,$51,  $53,$A5,$0A,  $D4,$A5,$0D,$59,  $5A,$A5,$0A,
                             $DC,$25,$5D,  $5E,$A5,$09,  $5F,$A5,$0F,  $E0,$A5,$07,$61,
                             $81,$26,$02,  $03,$A6,$0F,  $04,$A6,$0C,  $05,$A6,$08,
                             $86,$A6,$0C,$12,  $13,$A6,$0D,  $14,$A6,$0C,  $15,$A6,$0D,
                             $96,$A6,$0C,$1E,  $1F,$A6,$0D,  $A0,$A6,$0C,$21,  $23,$26,
                             $A4,$A6,$0D,$26,  $A8,$A6,$0C,$2B,  $2D,$A6,$0D,  $2E,$A6,$0C,
                             $B0,$26,$33,  $B5,$26,$3B,  $3E,$A6,$0D,  $BF,$A6,$0C,$40,
                             $42,$26,  $43,$A6,$0D,  $44,$A6,$0C,  $45,$A6,$0D,
                             $47,$A6,$0C,  $48,$A6,$0D,  $4A,$A6,$0C,  $4B,$A6,$0D,
                             $CC,$A6,$0C,$4F,  $50,$A6,$0D,  $D1,$A6,$0C,$54,  $D5,$A6,$0D,$57,
                             $D8,$A6,$0C,$5D,  $5E,$A6,$09,  $5F,$A6,$0F,  $E0,$A6,$07,$61,
                             $81,$27,$02,  $03,$A7,$0F,  $04,$A7,$0C,  $05,$A7,$08,
                             $86,$A7,$0C,$07,  $89,$27,$0D,  $8F,$27,$15,  $97,$27,$24,
                             $27,$27,  $2B,$27,  $2D,$27,  $2F,$27,
                             $B1,$27,$35,  $B7,$27,$38,  $BA,$27,$44,  $C6,$27,$4A,
                             $CC,$27,$51,  $53,$27,  $55,$27,  $D8,$27,$5B,
                             $5D,$27,  $5E,$A7,$09,  $5F,$A7,$0F,  $E0,$A7,$07,$61,
                             $81,$28,$02,  $03,$A8,$0F,  $84,$A8,$08,$05,  $86,$A8,$0C,$07,
                             $89,$28,$16,  $19,$28,  $9B,$28,$1F,  $21,$28,
                             $A4,$28,$26,  $28,$28,  $AA,$28,$35,  $37,$28,
                             $B9,$28,$3A,  $3C,$28,  $BF,$28,$40,  $42,$28,
                             $44,$28,  $47,$28,  $C9,$28,$4B,  $4D,$28,
                             $CF,$28,$51,  $53,$28,  $57,$28,  $D9,$28,$5D,
                             $5E,$A8,$09,  $5F,$A8,$0F,  $E0,$A8,$07,$61,  $81,$29,$02,
                             $03,$A9,$0F,  $04,$A9,$0C,  $05,$A9,$08,  $86,$A9,$0C,$08,
                             $09,$A9,$0E,  $0A,$A9,$0C,  $8B,$A9,$0E,$0D,  $8E,$A9,$0C,$0F,
                             $90,$A9,$0E,$12,  $93,$A9,$0C,$14,  $95,$A9,$0E,$18,  $99,$A9,$0C,$1A,
                             $9C,$A9,$0E,$1F,  $A1,$29,$2D,  $AE,$A9,$0C,$2F,  $B0,$A9,$0E,$34,
                             $36,$29,  $B8,$A9,$0C,$3A,  $BB,$A9,$0E,$3C,  $BD,$A9,$0C,$3E,
                             $BF,$A9,$0E,$40,  $41,$A9,$0C,  $C2,$A9,$0E,$43,  $44,$A9,$0C,
                             $45,$A9,$0E,  $46,$A9,$0C,  $48,$A9,$0E,  $C9,$A9,$0C,$4B,
                             $CD,$A9,$0E,$51,  $D2,$A9,$0C,$54,  $5B,$A9,$0E,  $5E,$29,
                             $5F,$A9,$0F,  $E0,$A9,$07,$61,  $81,$2A,$02,  $03,$AA,$0F,
                             $84,$AA,$08,$06,  $87,$AA,$0E,$09,  $0B,$AA,$0C,  $8C,$AA,$0E,$0D,
                             $0E,$AA,$0C,  $10,$AA,$0E,  $11,$AA,$0C,  $12,$AA,$0E,
                             $13,$AA,$0C,  $15,$AA,$0E,  $96,$AA,$0C,$17,  $98,$AA,$0E,$19,
                             $9A,$AA,$0C,$1B,  $1C,$AA,$0E,  $1D,$AA,$0C,  $9E,$AA,$08,$1F,
                             $20,$AA,$0E,  $A2,$2A,$26,  $A8,$2A,$2A,  $2B,$AA,$08,
                             $AC,$AA,$0E,$30,  $31,$AA,$0C,  $B2,$AA,$0E,$35,  $B6,$AA,$0C,$39,
                             $3A,$AA,$0E,  $3B,$AA,$0C,  $BC,$AA,$0E,$3E,  $C0,$2A,$41,
                             $C3,$2A,$44,  $45,$AA,$0C,  $C6,$AA,$0E,$48,  $49,$AA,$0C,
                             $4A,$AA,$0E,  $4B,$AA,$0C,  $CC,$AA,$0E,$4D,  $CE,$AA,$0C,$4F,
                             $50,$AA,$0E,  $51,$AA,$0C,  $D2,$AA,$0E,$59,  $5E,$2A,
                             $5F,$AA,$0F,  $E0,$AA,$07,$61,  $81,$2B,$02,  $03,$AB,$0F,
                             $84,$AB,$08,$05,  $86,$AB,$0E,$07,  $88,$AB,$08,$09,  $8A,$AB,$0E,$0B,
                             $0C,$AB,$0C,  $0D,$AB,$08,  $0E,$AB,$0E,  $8F,$AB,$0C,$10,
                             $91,$AB,$08,$12,  $13,$AB,$0C,  $14,$AB,$0E,  $95,$AB,$08,$16,
                             $97,$AB,$0E,$19,  $1A,$AB,$0C,  $1B,$AB,$0E,  $1C,$AB,$0C,
                             $1D,$AB,$0E,  $9E,$AB,$08,$1F,  $A0,$AB,$0C,$21,  $22,$AB,$0E,
                             $24,$2B,  $25,$AB,$08,  $26,$AB,$0E,  $28,$AB,$0C,
                             $29,$AB,$0E,  $AA,$AB,$08,$2B,  $2C,$AB,$0E,  $2F,$AB,$0C,
                             $B0,$AB,$0E,$36,  $37,$AB,$08,  $38,$AB,$0E,  $B9,$AB,$08,$3A,
                             $3B,$AB,$0E,  $C1,$2B,$45,  $C7,$2B,$48,  $49,$AB,$08,
                             $CA,$AB,$0E,$4D,  $CE,$AB,$08,$50,  $51,$AB,$0E,  $D4,$2B,$55,
                             $D6,$AB,$08,$57,  $58,$AB,$0E,  $DA,$2B,$5C,  $5F,$AB,$0F,
                             $E0,$AB,$07,$61,  $81,$2C,$02,  $03,$AC,$0F,  $84,$AC,$08,$09,
                             $8A,$AC,$0E,$0C,  $0D,$AC,$08,  $0E,$AC,$0E,  $10,$2C,
                             $11,$AC,$08,  $92,$AC,$0E,$14,  $95,$AC,$08,$17,  $18,$AC,$0E,
                             $19,$AC,$08,  $1A,$AC,$0E,  $1D,$2C,  $1E,$AC,$08,
                             $1F,$AC,$0E,  $A2,$2C,$24,  $A5,$AC,$08,$26,  $27,$AC,$0E,
                             $A9,$2C,$2A,  $2B,$AC,$08,  $AC,$AC,$0E,$2D,  $2F,$2C,
                             $31,$2C,  $32,$AC,$08,  $33,$AC,$0E,  $B4,$AC,$08,$37,
                             $38,$AC,$0E,  $B9,$AC,$08,$3A,  $3B,$AC,$0E,  $3D,$2C,
                             $40,$2C,  $41,$AC,$08,  $C2,$AC,$0E,$47,  $C8,$AC,$08,$49,
                             $4A,$AC,$0E,  $4B,$AC,$08,  $CC,$AC,$0E,$4E,  $CF,$AC,$08,$51,
                             $52,$AC,$0E,  $D4,$2C,$56,  $57,$AC,$08,  $D8,$AC,$0E,$5B,
                             $5C,$AC,$08,  $DD,$AC,$0E,$5E,  $5F,$AC,$0F,  $E0,$AC,$07,$61,
                             $81,$2D,$02,  $03,$AD,$0F,  $84,$AD,$08,$07,  $88,$AD,$0E,$09,
                             $8A,$AD,$08,$0D,  $8E,$AD,$0E,$0F,  $90,$AD,$08,$11,  $92,$AD,$0E,$13,
                             $14,$AD,$08,  $95,$AD,$0E,$16,  $17,$AD,$08,  $18,$AD,$0E,
                             $99,$AD,$08,$1A,  $9B,$AD,$0E,$1D,  $1E,$AD,$08,  $9F,$AD,$0E,$21,
                             $A2,$AD,$08,$25,  $26,$AD,$0E,  $27,$AD,$08,  $28,$AD,$0E,
                             $29,$AD,$08,  $2A,$AD,$0E,  $AB,$AD,$08,$2D,  $AE,$AD,$0E,$30,
                             $B1,$AD,$08,$35,  $36,$AD,$0E,  $B7,$AD,$08,$3A,  $BB,$AD,$0E,$3F,
                             $C0,$AD,$08,$41,  $C2,$AD,$0E,$47,  $48,$AD,$08,  $C9,$AD,$0E,$4A,
                             $4B,$AD,$08,  $CC,$AD,$0E,$4E,  $CF,$AD,$08,$50,  $D1,$AD,$0E,$54,
                             $55,$AD,$08,  $56,$AD,$0E,  $D7,$AD,$08,$59,  $DA,$AD,$0E,$5B,
                             $5C,$AD,$08,  $DD,$AD,$0E,$5E,  $5F,$AD,$0F,  $E0,$AD,$07,$61,
                             $81,$2E,$02,  $03,$AE,$0F,  $84,$AE,$08,$5E,  $5F,$AE,$0F,
                             $E0,$AE,$07,$61,  $81,$2F,$02,  $03,$AF,$0F,  $84,$AF,$08,$5E,
                             $5F,$AF,$0F,  $E0,$AF,$07,$61,  $81,$30,$02,  $03,$B0,$0F,
                             $84,$B0,$08,$5E,  $5F,$B0,$0F,  $E0,$B0,$07,$61,  $81,$31,$02,
                             $03,$B1,$0F,  $84,$B1,$08,$5E,  $5F,$B1,$0F,  $E0,$B1,$07,$61,
                             $81,$32,$02,  $03,$B2,$0F,  $84,$B2,$08,$5E,  $5F,$B2,$0F,
                             $E0,$B2,$07,$61,  $81,$33,$02,  $03,$B3,$0F,  $84,$B3,$08,$5E,
                             $5F,$B3,$0F,  $E0,$B3,$07,$61,  $81,$34,$02,  $83,$B4,$0F,$5F,
                             $E0,$B4,$07,$61,  $81,$35,$61,  $81,$36,$61
                            );

   ImageBALOONS : array [0..1145] of byte =
                            ($78,$04,
                             $9D,$81,$0A,$29,  $9C,$02,$2A,  $9A,$03,$2C,  $99,$04,$2D,
                             $98,$05,$2E,  $98,$06,$2E,  $97,$07,$2F,  $96,$08,$29,
                             $AA,$88,$0F,$2C,  $AD,$88,$0A,$30,  $96,$09,$2A,  $AB,$89,$0F,$2C,
                             $AD,$89,$0A,$30,  $96,$0A,$1B,  $1C,$8A,$0F,  $9D,$8A,$0A,$2B,
                             $2C,$8A,$0F,  $AD,$8A,$0A,$30,  $95,$0B,$19,  $1A,$8B,$0F,
                             $1B,$8B,$0A,  $1C,$8B,$0F,  $9D,$8B,$0A,$2B,  $AC,$8B,$0F,$2D,
                             $AE,$8B,$0A,$31,  $95,$0C,$1A,  $9B,$8C,$0F,$1C,  $9D,$8C,$0A,$2C,
                             $2D,$8C,$0F,  $AE,$8C,$0A,$31,  $95,$0D,$1A,  $9B,$8D,$0F,$1C,
                             $9D,$8D,$0A,$31,  $95,$0E,$1A,  $9B,$8E,$0F,$1C,  $9D,$8E,$0A,$31,
                             $95,$0F,$1B,  $1C,$8F,$0F,  $9D,$8F,$0A,$31,  $95,$10,$1B,
                             $1C,$90,$0F,  $9D,$90,$0A,$31,  $95,$11,$1B,  $1C,$91,$0F,
                             $9D,$91,$0A,$31,  $88,$92,$0E,$0E,  $96,$92,$0A,$1B,  $9C,$92,$0F,$1D,
                             $9E,$92,$0A,$30,  $86,$93,$0E,$10,  $96,$93,$0A,$1D,  $9E,$93,$0F,$1F,
                             $A0,$93,$0A,$30,  $85,$94,$0E,$11,  $96,$94,$0A,$1E,  $9F,$94,$0F,$20,
                             $A1,$94,$0A,$30,  $84,$95,$0E,$12,  $97,$95,$0A,$2F,  $83,$96,$0E,$0E,
                             $0F,$96,$0F,  $90,$96,$0E,$13,  $98,$96,$0A,$2E,  $82,$97,$0E,$0F,
                             $10,$97,$0F,  $91,$97,$0E,$14,  $98,$97,$0A,$2E,  $82,$98,$0E,$0F,
                             $90,$98,$0F,$11,  $92,$98,$0E,$14,  $99,$98,$0A,$2D,  $B2,$98,$0C,$36,
                             $81,$99,$0E,$06,  $07,$99,$0F,  $88,$99,$0E,$10,  $11,$99,$0F,
                             $92,$99,$0E,$15,  $9A,$99,$0A,$2C,  $B0,$99,$0C,$38,  $81,$9A,$0E,$05,
                             $06,$9A,$0F,  $87,$9A,$0E,$10,  $11,$9A,$0F,  $92,$9A,$0E,$15,
                             $9C,$9A,$0A,$2A,  $AF,$9A,$0C,$39,  $81,$9B,$0E,$04,  $85,$9B,$0F,$06,
                             $07,$9B,$0E,  $08,$9B,$0F,  $89,$9B,$0E,$10,  $91,$9B,$0F,$12,
                             $93,$9B,$0E,$15,  $9D,$9B,$0A,$29,  $AE,$9B,$0C,$36,  $B7,$9B,$0F,$38,
                             $B9,$9B,$0C,$3A,  $81,$9C,$0E,$15,  $A0,$9C,$0A,$26,  $AD,$9C,$0C,$37,
                             $B8,$9C,$0F,$39,  $BA,$9C,$0C,$3B,  $81,$9D,$0E,$04,  $85,$9D,$0F,$06,
                             $87,$9D,$0E,$08,  $09,$9D,$0F,  $8A,$9D,$0E,$15,  $23,$9D,$0A,
                             $24,$9D,$0F,  $AD,$9D,$0C,$38,  $39,$9D,$0F,  $BA,$9D,$0C,$3B,
                             $81,$9E,$0E,$06,  $07,$9E,$0F,  $88,$9E,$0E,$15,  $A2,$9E,$0A,$23,
                             $24,$9E,$0F,  $AC,$9E,$0C,$30,  $31,$9E,$0F,  $B2,$9E,$0C,$3C,
                             $81,$9F,$0E,$05,  $86,$9F,$0F,$07,  $88,$9F,$0E,$15,  $A1,$9F,$0A,$23,
                             $24,$9F,$0F,  $25,$9F,$0A,  $AC,$9F,$0C,$30,  $31,$9F,$0F,
                             $B2,$9F,$0C,$3C,  $82,$A0,$0E,$07,  $08,$A0,$0F,  $89,$A0,$0E,$14,
                             $24,$A0,$0F,  $AC,$A0,$0C,$30,  $31,$A0,$0F,  $B2,$A0,$0C,$3C,
                             $82,$A1,$0E,$14,  $24,$A1,$0F,  $AC,$A1,$0C,$30,  $B1,$A1,$0F,$32,
                             $B3,$A1,$0C,$3C,  $83,$A2,$0E,$13,  $24,$A2,$0F,  $AC,$A2,$0C,$31,
                             $32,$A2,$0F,  $B3,$A2,$0C,$3C,  $84,$A3,$0E,$12,  $9C,$A3,$04,$20,
                             $24,$A3,$0F,  $AD,$A3,$0C,$31,  $B2,$A3,$0F,$33,  $B4,$A3,$0C,$3B,
                             $85,$A4,$0E,$11,  $9A,$A4,$04,$22,  $24,$A4,$0F,  $AD,$A4,$0C,$32,
                             $B3,$A4,$0F,$35,  $B6,$A4,$0C,$3B,  $86,$A5,$0E,$10,  $98,$A5,$04,$24,
                             $AE,$A5,$0C,$3A,  $88,$A6,$0E,$0E,  $97,$A6,$04,$25,  $AF,$A6,$0C,$39,
                             $0B,$A7,$0E,  $0C,$A7,$0F,  $97,$A7,$04,$25,  $B0,$A7,$0C,$38,
                             $8A,$A8,$0E,$0B,  $0C,$A8,$0F,  $96,$A8,$04,$22,  $23,$A8,$0F,
                             $A4,$A8,$04,$26,  $B2,$A8,$0C,$36,  $89,$A9,$0E,$0C,  $0D,$A9,$0F,
                             $96,$A9,$04,$23,  $24,$A9,$0F,  $A5,$A9,$04,$26,  $34,$A9,$0C,
                             $0D,$AA,$0F,  $95,$AA,$04,$23,  $24,$AA,$0F,  $A5,$AA,$04,$27,
                             $33,$AA,$0F,  $34,$AA,$0C,  $0E,$AB,$0F,  $95,$AB,$04,$19,
                             $1A,$AB,$0F,  $9B,$AB,$04,$23,  $A4,$AB,$0F,$25,  $A6,$AB,$04,$27,
                             $33,$AB,$0F,  $B4,$AB,$0C,$35,  $0E,$AC,$0F,  $95,$AC,$04,$19,
                             $1A,$AC,$0F,  $9B,$AC,$04,$27,  $32,$AC,$0F,  $B3,$AC,$0C,$36,
                             $0E,$AD,$0F,  $95,$AD,$04,$19,  $1A,$AD,$0F,  $9B,$AD,$04,$27,
                             $32,$AD,$0F,  $0F,$2E,  $95,$AE,$04,$19,  $9A,$AE,$0F,$1B,
                             $9C,$AE,$04,$27,  $32,$AE,$0F,  $0F,$2F,  $96,$AF,$04,$1A,
                             $1B,$AF,$0F,  $9C,$AF,$04,$26,  $31,$AF,$0F,  $10,$30,
                             $96,$B0,$04,$1B,  $9C,$B0,$0F,$1D,  $9E,$B0,$04,$26,  $31,$B0,$0F,
                             $10,$31,  $97,$B1,$04,$25,  $31,$B1,$0F,  $11,$32,
                             $97,$B2,$04,$25,  $30,$B2,$0F,  $11,$33,  $98,$B3,$04,$24,
                             $30,$B3,$0F,  $11,$34,  $9A,$B4,$04,$22,  $24,$B4,$0F,
                             $30,$34,  $12,$35,  $9C,$B5,$04,$20,  $24,$B5,$0F,
                             $2F,$35,  $12,$36,  $1E,$B6,$04,  $24,$B6,$0F,
                             $2F,$36,  $13,$37,  $1E,$B7,$04,  $1F,$B7,$0F,
                             $24,$37,  $2F,$37,  $13,$38,  $9D,$B8,$04,$1E,
                             $1F,$B8,$0F,  $24,$38,  $2E,$38,  $13,$39,
                             $9C,$B9,$04,$1E,  $1F,$B9,$0F,  $20,$B9,$04,  $24,$B9,$0F,
                             $2E,$39,  $14,$3A,  $1F,$3A,  $24,$3A,
                             $2E,$3A,  $14,$3B,  $1F,$3B,  $24,$3B,
                             $2D,$3B,  $15,$3C,  $1F,$3C,  $24,$3C,
                             $2D,$3C,  $15,$3D,  $1F,$3D,  $23,$3D,
                             $2D,$3D,  $16,$3E,  $20,$3E,  $23,$3E,
                             $2C,$3E,  $16,$3F,  $20,$3F,  $23,$3F,
                             $2C,$3F,  $16,$40,  $20,$40,  $23,$40,
                             $2C,$40,  $17,$41,  $20,$41,  $23,$41,
                             $2B,$41,  $17,$42,  $20,$42,  $23,$42,
                             $2B,$42,  $18,$43,  $20,$43,  $23,$43,
                             $2B,$43,  $18,$44,  $20,$44,  $23,$44,
                             $2A,$44,  $18,$45,  $20,$45,  $23,$45,
                             $2A,$45,  $19,$46,  $20,$46,  $23,$46,
                             $2A,$46,  $19,$47,  $20,$47,  $23,$47,
                             $29,$47,  $1A,$48,  $20,$48,  $23,$48,
                             $29,$48,  $1A,$49,  $20,$49,  $23,$49,
                             $29,$49,  $1B,$4A,  $21,$4A,  $23,$4A,
                             $28,$4A,  $1B,$4B,  $21,$4B,  $23,$4B,
                             $28,$4B,  $1B,$4C,  $21,$4C,  $23,$4C,
                             $28,$4C,  $1C,$4D,  $21,$4D,  $23,$4D,
                             $27,$4D,  $1C,$4E,  $21,$4E,  $23,$4E,
                             $27,$4E,  $1D,$4F,  $21,$4F,  $23,$4F,
                             $27,$4F,  $1D,$50,  $21,$50,  $23,$50,
                             $26,$50,  $9D,$51,$1E,  $21,$51,  $23,$51,
                             $26,$51,  $1E,$52,  $21,$52,  $23,$52,
                             $26,$52,  $1E,$53,  $21,$53,  $23,$53,
                             $25,$53,  $1F,$54,  $21,$54,  $23,$54,
                             $25,$54,  $1F,$55,  $21,$55,  $23,$55,
                             $25,$55,  $A0,$56,$24,  $A0,$57,$24,  $A0,$58,$24,
                             $9C,$D9,$0E,$28,  $9C,$5A,$28,  $9C,$5B,$28
                            );



begin

 EGA640X350X16;  (* Set EGA Display 640 X 350 X 16 *)
 SetBKColor(Blue);
 ClearViewPort;
 PutPict(100,100,@ImageRaster,1);   (* Draw the Raster *)
 PutPict(275,170,@ImageRaster,1);
 PutPict(450,100,@ImageRaster,1);


 PutPict(115,8,@ImageBaloons,1);    (* Draw then Baloons *)
 PutPict(290,78,@ImageBaloons,1);
 PutPict(465,8,@ImageBaloons,1);

 readln;  (* Wait for Enter key to be pressed *)

 CloseGraph;

end.
