(**************************************************************************
                              Raster Master                  Demo3.Pas

                                  By Nick Onoufriou

 **************************************************************************

 Purpose: Demonstrates the use of ReadDef
*)

Program Demo3;
  Uses Graph,RWDef;
             (* The RWDef (Read/Write Def) unit is given to registered
                users in TP source Code. The code can be used as is or
                can be very easily modified.*)
Var
  Filename : String;
  Mode,Driver : Integer;
begin
  Write('Enter name of DEF file to view: ');  (* Get the Def file name *)
  Readln(Filename);

  Mode  :=EGAHi;                       (* change to EGA 640 X 350 X 16 *)
  Driver:=EGA;
  InitGraph(Driver,Mode,'');

  ReadDef(1,1,100,100,Blue,Filename);   (* Read the Def File and Display it *)
  (* ReadDef(x1,y1,x2,y2,BackGroundColor,Filename) *)
  (* x1,y1 = Upper Left corner of the screen       *)
  (* x2,y2 = Lower Right corner of the screen      *)

  Readln;                              (* Wait for Enter key to be pressed *)

  CloseGraph;
end.
