(**************************************************************************
                              Raster Master                  Demo4.Pas

                                  By Nick Onoufriou

 **************************************************************************

 Purpose: Demonstrates the use of WriteDef
*)

Program Demo4;
  Uses Graph,RWDef;
             (* The RWDef (Read/Write Def) unit is given to registered
                users in TP source Code. The code can be used as is or
                can be very easily modified.*)
Var
  Filename    : String;
  Mode,Driver : Integer;
begin

  Mode  :=EGAHi;                       (* change to EGA 640 X 350 X 16 *)
  Driver:=EGA;
  InitGraph(Driver,Mode,'');

  SetFillStyle(SolidFill,LightGray);
  Bar(1,1,100,100);
  SetFillStyle(SolidFill,DarkGray);
  Bar(4,3,97,98);
  SetColor(Black);
  OutTextXY(20,30,'This');
  OutTextXY(30,50,'is');               (* Draw some stuff on the screen *)
  OutTextXY(40,70,'DEMO4');
  SetColor(LightRed);
  OutTextXY(19,29,'This');
  OutTextXY(29,49,'is');
  OutTextXY(39,69,'DEMO4');


  WriteDef(1,1,100,100,Blue,'Demo4.Def');
   (* Save what was drawn on the screen as DEMO4.DEF *)
   (* Use Raster Master to View                      *)
   (* WriteDef(x1,y1,x2,y2,BackGroundColor,Filename) *)
   (* x1,y1 = Upper Left corner of the screen       *)
   (* x2,y2 = Lower Right corner of the screen      *)

  Readln;                              (* Wait for Enter key to be pressed *)

  CloseGraph;
end.
